<div ng-controller="MovimientoContenedorController">
  <div class="page page-tables-bootstrap">
    <div class="pageheader">
      <div class="page-bar">
        <ul class="page-breadcrumb">
          <li>
            <a ui-sref="admin.dashboard"><i class="fa fa-home"></i> Home</a>
          </li>
          <li>
            <a>Reporte</a>
          </li>
          <li>
            <a>Movimiento Contenedores</a>
          </li>
        </ul>
      </div>
    </div>
    <div class="pagecontent">
      <div class="row">
        <div class="col-md-12">
          <section class="tile" fullscreen="isFullscreen08">
            <div class="tile-header dvd dvd-btm">
              <h1 class="custom-font"><i class="fa fa-file-excel-o"></i> {{'Reporte movimientos de contenedores por semana' | uppercase}}</h1>
            </div>
            <div class="tile-body p-1">
              <div class="row">
                <div class="col-md-4">
                  <div class="form-group">
                    <select class="form-control" ng-model="obj.id_anio" ng-change="listSemana(obj.id_anio)" ng-options="anio.id as anio.anio for anio in anios">
                      <option value="">SELECCIONE AÑO</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <div class="form-group">
                    <select class="form-control" ng-model="obj.id_semana" ng-disabled="!obj.id_anio" ng-options="semana.id as semana.nombre for semana in semanas">
                      <option value="">SELECCIONE SEMANA</option>
                    </select>
                  </div>
                </div>
                <div class="col-md-4">
                  <button ng-if="!flag" ng-disabled="!obj.id_semana" class="btn btn-border btn-rounded-10 btn-warning btn-block" ng-click="preview()"><i class="fa fa-eye"></i> vista previa</button>
                  <button ng-if="flag" class="btn btn-border btn-rounded-10 btn-warning btn-block"><i class="fa fa-spinner fa-spin"></i> generando vista previa...</button>
                </div>
              </div>
              <div class="row" ng-if="flagLoader">
                <div class="col-md-12">
                  <hr style="margin-top: 8px;margin-bottom: 8px;">
                </div>                
                <div class="col-md-12" ng-if="contenedores.length > 0">
                    <div class="row">
                      <div class="col-md-4">
                          <h5><strong>CANTIDAD : {{contenedores.length}} CONTENEDORES</strong></h5>
                      </div>
                      <div class="col-md-4">

                      </div>
                      <div class="col-md-4">
                        <button ng-if="!flagDownload" class="btn btn-border btn-rounded-10 btn-greensea btn-block" ng-click="download()"><i class="fa fa-download"></i> exportar a excel</button>
                        <button ng-if="flagDownload" class="btn btn-border btn-rounded-10 btn-greensea btn-block"><i class="fa fa-spinner fa-spin"></i> exportando a excel...</button>
                      </div>
                      <div class="col-md-12">
                        <hr style="margin-top: 8px;margin-bottom: 8px;">
                      </div>
                      <div class="col-md-12">
                        <small>
                          <div class="table-responsive">
                            <table class="table table-bordered">
                                <tr style="background:#F2F2F2">
                                    <th class="text-center">W</th>
                                    <th class="text-center">AÑO</th>
                                    <th class="text-center">REFERENCIA</th>
                                    <th class="text-center">N° CONTENEDOR</th>
                                    <th class="text-center">ESTADO</th>
                                    <th class="text-center">FECHA</th>
                                    <th class="text-center">HORA</th>
                                    <th class="text-center">USUARIO RESPONSABLE</th>
                                    <th class="text-center">CARGO</th>
                                </tr>
                                <tbody dir-paginate="contenedor in contenedores |filter: buscar | itemsPerPage: 10" pagination-id="contenedor.id_contenedor">
                                    <tr>
                                       <td class="text-center" rowspan="{{contenedor.movimientos_contenedor.length+1}}" nowrap>
                                            {{contenedor.semana}}
                                        </td>
                                        <td class="text-center" rowspan="{{contenedor.movimientos_contenedor.length+1}}" nowrap>
                                            {{contenedor.anio}}
                                        </td>
                                        <td class="text-center" rowspan="{{contenedor.movimientos_contenedor.length+1}}">{{contenedor.referencia_contenedor |uppercase}}</td>
                                        <td class="text-center" rowspan="{{contenedor.movimientos_contenedor.length+1}}">{{contenedor.numero_contenedor |uppercase}}</td>
                                        <td class="text-center" nowrap>
                                          <span class="badge" style="background: {{contenedor.movimientos_contenedor[0].color_estado}};">{{contenedor.movimientos_contenedor[0].estado | uppercase}}</span>
                                        </td>
                                        <td class="text-center" nowrap>{{contenedor.movimientos_contenedor[0].fecha | date:'dd-MM-yyyy'}}</td>
                                        <td class="text-center" nowrap>{{contenedor.movimientos_contenedor[0].hora}}</td>
                                        <td class="text-center">{{contenedor.movimientos_contenedor[0].usuario_responsable | uppercase}}</td>
                                        <td class="text-center" nowrap>{{contenedor.movimientos_contenedor[0].cargo_usuario_responsable | uppercase}}</td>
                                    </tr>
                                    <tr ng-repeat="mc in contenedor.movimientos_contenedor.slice(1,contenedor.movimientos_contenedor.length)">
                                        <td class="text-center" nowrap>
                                          <span class="badge" style="background: {{mc.color_estado}};">{{mc.estado | uppercase}}</span>
                                        </td>
                                        <td class="text-center" nowrap>{{mc.fecha | date:'dd-MM-yyyy'}}</td> 
                                        <td class="text-center" nowrap>{{mc.hora}}</td><td nowrap>{{mc.usuario_responsable | uppercase}}</td>
                                        <td class="text-center" nowrap>{{mc.cargo_usuario_responsable | uppercase}}</td>
                                    </tr>
                                </tbody>
                            </table>
                          </div>
                        </small>
                        <div class="text-center">
                          <dir-pagination-controls pagination-id="contenedor.id_contenedor"></dir-pagination-controls>
                        </div>
                      </div>
                    </div>
                </div>

                <div class="col-md-12" ng-if="contenedores.length == 0">
                    <p class="text-center">
                        <i class="fa fa-truck fa-4x"></i>
                        <h5 class="text-center">no hay coincidencias para esta busqueda...</h5>
                    </p>
                </div>                       
              </div>
            </div>
            <div class="tile-footer p-1">
              <div class="text-right">
                <span class="text-light" style="font-size: 10px;color: black;font-weight: bold;">&copy; COOPERATIVA AGRARIA APPBOSA / BARRIO NUEVA ESPERANZA S-N / SAMAN - PERÚ </span>
              </div>
            </div>
          </section>
        </div>
      </div>
    </div>
  </div>
</div>